#include "LibNewBar.mqh"
#include "CiVWMA_Tx.mqh"

CiVWMA_Tx											cVWMAM15;
CiVWMA_Tx											cVWMAM05;
CiVWMA_Tx											cVWMAM01;
CLibNewBar										cIsNewBar;
//+-----------------------------------------------------------------------------------------------------------------------------+
//| INPUT:  Input for variable used in the expert advisor
//+-----------------------------------------------------------------------------------------------------------------------------+
	input	string 					InpSymbol 		= "XAUUSD";
//+-----------------------------------------------------------------------------------------------------------------------------+
//| EXPERT's:       OnInit() method
//+-----------------------------------------------------------------------------------------------------------------------------+
int OnInit() {

		SParamVWMA_Tx				param;
		param.fastPeriod 	  = 21;
		param.fastMAMethod  = MODE_LWMA;
		param.midPeriod 	  = 55;
		param.midMAMethod   = MODE_LWMA;
		param.slowPeriod 	  = 200;
		param.slowMAMethod  = MODE_LWMA;
		param.appliedPrice  = priceHA_CLOSE;
		param.appliedVolume = VOLUME_TICK;

		cVWMAM15 = CiVWMA_Tx(InpSymbol,PERIOD_M15,param);
		cVWMAM05 = CiVWMA_Tx(InpSymbol,PERIOD_M5,param);
		cVWMAM01 = CiVWMA_Tx(InpSymbol,PERIOD_M1,param);

		cIsNewBar = CLibNewBar(InpSymbol);

    return(INIT_SUCCEEDED);

} // End of EA method OnInit()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| OnTick():     ...
//+-----------------------------------------------------------------------------------------------------------------------------+
void OnTick() {

		if(cIsNewBar.M15()) {
			PrintFormat("PeriodM15 Slow[%g] Mid[%g] Fast[%g]",cVWMAM15.getSlow(1),cVWMAM15.getMid(1),cVWMAM15.getFast(1));
			PrintFormat("PeriodM05 Slow[%g] Mid[%g] Fast[%g]",cVWMAM05.getSlow(1),cVWMAM05.getMid(1),cVWMAM05.getFast(1));
			PrintFormat("PeriodM01 Slow[%g] Mid[%g] Fast[%g]",cVWMAM01.getSlow(1),cVWMAM01.getMid(1),cVWMAM01.getFast(1));
		}

} // End of EA method OnTick()
//+-----------------------------------------------------------------------------------------------------------------------------+
